Subject: Re: [PATCH net 5/7] MAINTAINERS: Bluetooth: retire Johan (for now?)

From: Simon Horman <[email-masked]>
Date: Wed, 10 Jan 2024 15:13:09 +0000

+ Johan Hedberg <[email-masked]>

On Tue, Jan 09, 2024 at 08:45:15AM -0800, Jakub Kicinski wrote:
> Johan moved to maintaining the Zephyr Bluetooth stack,
> and we haven't heard from him on the ML in 3 years
> (according to lore), and seen any tags in git in 4 years.
> Trade the MAINTAINER entry for CREDITS, we can revert
> whenever Johan comes back to Linux hacking :)
> 
> Subsystem BLUETOOTH SUBSYSTEM
>   Changes 173 / 986 (17%)
>   Last activity: 2023-12-22
>   Marcel Holtmann <[email-masked]>:
>     Author 91cb4c19118a 2022-01-27 00:00:00 52
>     Committer edcb185fa9c4 2022-05-23 00:00:00 446
>     Tags 000c2fa2c144 2023-04-23 00:00:00 523
>   Johan Hedberg <[email-masked]>:

I'm not arguing that this change isn't appropriate.
But, nit picking the description above,
I do think there has been some git activity within
the last 4 years, albeit from a different email address.

The most recent Bluetooth Drivers patch I found committed by Johan is:

commit 0671c0662383eefc272e107364cba7fe229dee44
Author:     Hans de Goede <[email-masked]>
AuthorDate: Sat Dec 5 16:02:01 2020 +0100
Commit:     Johan Hedberg <[email-masked]>
CommitDate: Mon Dec 7 17:01:54 2020 +0200

For reference, the most recent patched that I could
find authored by Johan for Bluetooth Drivers is:

commit 6c3711ec64fd23a9abc8aaf59a9429569a6282df
Author:     Johan Hedberg <[email-masked]>
AuthorDate: Sat Aug 4 23:40:26 2018 +0300
Commit:     Marcel Holtmann <[email-masked]>
CommitDate: Sat Aug 4 23:23:32 2018 +0200

>   Luiz Augusto von Dentz <[email-masked]>:
>     Author d03376c18592 2023-12-22 00:00:00 241
>     Committer da9065caa594 2023-12-22 00:00:00 341
>     Tags da9065caa594 2023-12-22 00:00:00 493
>   Top reviewers:
>     [33]: [email-masked]
>     [31]: [email-masked]
>     [27]: [email-masked]
>   INACTIVE MAINTAINER Johan Hedberg <[email-masked]>
> 
> Signed-off-by: Jakub Kicinski <[email-masked]>
> ---
> CC: Marcel Holtmann <[email-masked]>
> CC: Johan Hedberg <[email-masked]>
> CC: Luiz Augusto von Dentz <[email-masked]>
> CC: [email-masked]
> ---
>  CREDITS     | 4 ++++
>  MAINTAINERS | 1 -
>  2 files changed, 4 insertions(+), 1 deletion(-)
> 
> diff --git a/CREDITS b/CREDITS
> index 18ce75d81234..1228f96110c4 100644
> --- a/CREDITS
> +++ b/CREDITS
> @@ -1543,6 +1543,10 @@ N: Andrew Haylett
>  E: [email-masked]
>  D: Selection mechanism
>  
> +N: Johan Hedberg
> +E: [email-masked]
> +D: Bluetooth subsystem maintainer
> +
>  N: Andre Hedrick
>  E: [email-masked]
>  E: [email-masked]
> diff --git a/MAINTAINERS b/MAINTAINERS
> index 1e375699ebb7..388fe7baf89a 100644
> --- a/MAINTAINERS
> +++ b/MAINTAINERS
> @@ -3595,7 +3595,6 @@ F:	drivers/mtd/devices/block2mtd.c
>  
>  BLUETOOTH DRIVERS
>  M:	Marcel Holtmann <[email-masked]>
> -M:	Johan Hedberg <[email-masked]>
>  M:	Luiz Augusto von Dentz <[email-masked]>
>  L:	[email-masked]
>  S:	Supported
> -- 
> 2.43.0
>